Package org.eclipse.graphiti.mm.algorithms

## Interface AlgorithmsPackage.Literals

Enclosing interface:
  AlgorithmsPackage

    public static interface AlgorithmsPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

### Field Summary

Fields
`static org.eclipse.emf.ecore.EClass` `ABSTRACT_TEXT` The meta object literal for the '`Abstract Text`' class.
`static org.eclipse.emf.ecore.EAttribute` `ABSTRACT_TEXT__ANGLE` The meta object literal for the 'Angle' attribute feature.
`static org.eclipse.emf.ecore.EReference` `ABSTRACT_TEXT__FONT` The meta object literal for the 'Font' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `ABSTRACT_TEXT__HORIZONTAL_ALIGNMENT` The meta object literal for the 'Horizontal Alignment' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ABSTRACT_TEXT__ROTATION` The meta object literal for the 'Rotation' attribute feature.
`static org.eclipse.emf.ecore.EReference` `ABSTRACT_TEXT__STYLE_REGIONS` The meta object literal for the 'Style Regions' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `ABSTRACT_TEXT__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ABSTRACT_TEXT__VERTICAL_ALIGNMENT` The meta object literal for the 'Vertical Alignment' attribute feature.
`static org.eclipse.emf.ecore.EClass` `ELLIPSE` The meta object literal for the '`Ellipse`' class.
`static org.eclipse.emf.ecore.EClass` `GRAPHICS_ALGORITHM` The meta object literal for the '`Graphics Algorithm`' class.
`static org.eclipse.emf.ecore.EReference` `GRAPHICS_ALGORITHM__GRAPHICS_ALGORITHM_CHILDREN` The meta object literal for the 'Graphics Algorithm Children' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` `GRAPHICS_ALGORITHM__HEIGHT` The meta object literal for the 'Height' attribute feature.
`static org.eclipse.emf.ecore.EReference` `GRAPHICS_ALGORITHM__PARENT_GRAPHICS_ALGORITHM` The meta object literal for the 'Parent Graphics Algorithm' container reference feature.
`static org.eclipse.emf.ecore.EReference` `GRAPHICS_ALGORITHM__PICTOGRAM_ELEMENT` The meta object literal for the 'Pictogram Element' container reference feature.
`static org.eclipse.emf.ecore.EReference` `GRAPHICS_ALGORITHM__STYLE` The meta object literal for the 'Style' reference feature.
`static org.eclipse.emf.ecore.EAttribute` `GRAPHICS_ALGORITHM__WIDTH` The meta object literal for the 'Width' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `GRAPHICS_ALGORITHM__X` The meta object literal for the 'X' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `GRAPHICS_ALGORITHM__Y` The meta object literal for the 'Y' attribute feature.
`static org.eclipse.emf.ecore.EClass` `IMAGE` The meta object literal for the '`Image`' class.
`static org.eclipse.emf.ecore.EAttribute` `IMAGE__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IMAGE__PROPORTIONAL` The meta object literal for the 'Proportional' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IMAGE__STRETCH_H` The meta object literal for the 'Stretch H' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `IMAGE__STRETCH_V` The meta object literal for the 'Stretch V' attribute feature.
`static org.eclipse.emf.ecore.EClass` `MULTI_TEXT` The meta object literal for the '`Multi Text`' class.
`static org.eclipse.emf.ecore.EClass` `PLATFORM_GRAPHICS_ALGORITHM` The meta object literal for the '`Platform Graphics Algorithm`' class.
`static org.eclipse.emf.ecore.EAttribute` `PLATFORM_GRAPHICS_ALGORITHM__ID` The meta object literal for the 'Id' attribute feature.
`static org.eclipse.emf.ecore.EClass` `POLYGON` The meta object literal for the '`Polygon`' class.
`static org.eclipse.emf.ecore.EClass` `POLYLINE` The meta object literal for the '`Polyline`' class.
`static org.eclipse.emf.ecore.EReference` `POLYLINE__POINTS` The meta object literal for the 'Points' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` `RECTANGLE` The meta object literal for the '`Rectangle`' class.
`static org.eclipse.emf.ecore.EClass` `ROUNDED_RECTANGLE` The meta object literal for the '`Rounded Rectangle`' class.
`static org.eclipse.emf.ecore.EAttribute` `ROUNDED_RECTANGLE__CORNER_HEIGHT` The meta object literal for the 'Corner Height' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `ROUNDED_RECTANGLE__CORNER_WIDTH` The meta object literal for the 'Corner Width' attribute feature.
`static org.eclipse.emf.ecore.EClass` `TEXT` The meta object literal for the '`Text`' class.

### Field Detail

#### GRAPHICS_ALGORITHM

    static final org.eclipse.emf.ecore.EClass GRAPHICS_ALGORITHM

The meta object literal for the '`Graphics Algorithm`' class.

See Also:
  `GraphicsAlgorithmImpl`, `AlgorithmsPackageImpl.getGraphicsAlgorithm()`

#### GRAPHICS_ALGORITHM__GRAPHICS_ALGORITHM_CHILDREN

    static final org.eclipse.emf.ecore.EReference GRAPHICS_ALGORITHM__GRAPHICS_ALGORITHM_CHILDREN

The meta object literal for the 'Graphics Algorithm Children' containment reference list feature.

#### GRAPHICS_ALGORITHM__PARENT_GRAPHICS_ALGORITHM

    static final org.eclipse.emf.ecore.EReference GRAPHICS_ALGORITHM__PARENT_GRAPHICS_ALGORITHM

The meta object literal for the 'Parent Graphics Algorithm' container reference feature.

#### GRAPHICS_ALGORITHM__PICTOGRAM_ELEMENT

    static final org.eclipse.emf.ecore.EReference GRAPHICS_ALGORITHM__PICTOGRAM_ELEMENT

The meta object literal for the 'Pictogram Element' container reference feature.

#### GRAPHICS_ALGORITHM__WIDTH

    static final org.eclipse.emf.ecore.EAttribute GRAPHICS_ALGORITHM__WIDTH

The meta object literal for the 'Width' attribute feature.

#### GRAPHICS_ALGORITHM__HEIGHT

    static final org.eclipse.emf.ecore.EAttribute GRAPHICS_ALGORITHM__HEIGHT

The meta object literal for the 'Height' attribute feature.

#### GRAPHICS_ALGORITHM__X

    static final org.eclipse.emf.ecore.EAttribute GRAPHICS_ALGORITHM__X

The meta object literal for the 'X' attribute feature.

#### GRAPHICS_ALGORITHM__Y

    static final org.eclipse.emf.ecore.EAttribute GRAPHICS_ALGORITHM__Y

The meta object literal for the 'Y' attribute feature.

#### GRAPHICS_ALGORITHM__STYLE

    static final org.eclipse.emf.ecore.EReference GRAPHICS_ALGORITHM__STYLE

The meta object literal for the 'Style' reference feature.

#### POLYLINE

    static final org.eclipse.emf.ecore.EClass POLYLINE

The meta object literal for the '`Polyline`' class.

See Also:
  `PolylineImpl`, `AlgorithmsPackageImpl.getPolyline()`

#### POLYLINE__POINTS

    static final org.eclipse.emf.ecore.EReference POLYLINE__POINTS

The meta object literal for the 'Points' containment reference list feature.

#### ELLIPSE

    static final org.eclipse.emf.ecore.EClass ELLIPSE

The meta object literal for the '`Ellipse`' class.

See Also:
  `EllipseImpl`, `AlgorithmsPackageImpl.getEllipse()`

#### TEXT

    static final org.eclipse.emf.ecore.EClass TEXT

The meta object literal for the '`Text`' class.

See Also:
  `TextImpl`, `AlgorithmsPackageImpl.getText()`

#### POLYGON

    static final org.eclipse.emf.ecore.EClass POLYGON

The meta object literal for the '`Polygon`' class.

See Also:
  `PolygonImpl`, `AlgorithmsPackageImpl.getPolygon()`

#### RECTANGLE

    static final org.eclipse.emf.ecore.EClass RECTANGLE

The meta object literal for the '`Rectangle`' class.

See Also:
  `RectangleImpl`, `AlgorithmsPackageImpl.getRectangle()`

#### ROUNDED_RECTANGLE

    static final org.eclipse.emf.ecore.EClass ROUNDED_RECTANGLE

The meta object literal for the '`Rounded Rectangle`' class.

See Also:
  `RoundedRectangleImpl`, `AlgorithmsPackageImpl.getRoundedRectangle()`

#### ROUNDED_RECTANGLE__CORNER_HEIGHT

    static final org.eclipse.emf.ecore.EAttribute ROUNDED_RECTANGLE__CORNER_HEIGHT

The meta object literal for the 'Corner Height' attribute feature.

#### ROUNDED_RECTANGLE__CORNER_WIDTH

    static final org.eclipse.emf.ecore.EAttribute ROUNDED_RECTANGLE__CORNER_WIDTH

The meta object literal for the 'Corner Width' attribute feature.

#### IMAGE

    static final org.eclipse.emf.ecore.EClass IMAGE

The meta object literal for the '`Image`' class.

See Also:
  `ImageImpl`, `AlgorithmsPackageImpl.getImage()`

#### IMAGE__ID

    static final org.eclipse.emf.ecore.EAttribute IMAGE__ID

The meta object literal for the 'Id' attribute feature.

#### IMAGE__STRETCH_H

    static final org.eclipse.emf.ecore.EAttribute IMAGE__STRETCH_H

The meta object literal for the 'Stretch H' attribute feature.

#### IMAGE__STRETCH_V

    static final org.eclipse.emf.ecore.EAttribute IMAGE__STRETCH_V

The meta object literal for the 'Stretch V' attribute feature.

#### IMAGE__PROPORTIONAL

    static final org.eclipse.emf.ecore.EAttribute IMAGE__PROPORTIONAL

The meta object literal for the 'Proportional' attribute feature.

#### PLATFORM_GRAPHICS_ALGORITHM

    static final org.eclipse.emf.ecore.EClass PLATFORM_GRAPHICS_ALGORITHM

The meta object literal for the '`Platform Graphics Algorithm`' class.

See Also:
  `PlatformGraphicsAlgorithmImpl`, `AlgorithmsPackageImpl.getPlatformGraphicsAlgorithm()`

#### PLATFORM_GRAPHICS_ALGORITHM__ID

    static final org.eclipse.emf.ecore.EAttribute PLATFORM_GRAPHICS_ALGORITHM__ID

The meta object literal for the 'Id' attribute feature.

#### ABSTRACT_TEXT

    static final org.eclipse.emf.ecore.EClass ABSTRACT_TEXT

The meta object literal for the '`Abstract Text`' class.

See Also:
  `AbstractTextImpl`, `AlgorithmsPackageImpl.getAbstractText()`

#### ABSTRACT_TEXT__FONT

    static final org.eclipse.emf.ecore.EReference ABSTRACT_TEXT__FONT

The meta object literal for the 'Font' reference feature.

#### ABSTRACT_TEXT__HORIZONTAL_ALIGNMENT

    static final org.eclipse.emf.ecore.EAttribute ABSTRACT_TEXT__HORIZONTAL_ALIGNMENT

The meta object literal for the 'Horizontal Alignment' attribute feature.

#### ABSTRACT_TEXT__VERTICAL_ALIGNMENT

    static final org.eclipse.emf.ecore.EAttribute ABSTRACT_TEXT__VERTICAL_ALIGNMENT

The meta object literal for the 'Vertical Alignment' attribute feature.

#### ABSTRACT_TEXT__ANGLE

    static final org.eclipse.emf.ecore.EAttribute ABSTRACT_TEXT__ANGLE

The meta object literal for the 'Angle' attribute feature.

#### ABSTRACT_TEXT__VALUE

    static final org.eclipse.emf.ecore.EAttribute ABSTRACT_TEXT__VALUE

The meta object literal for the 'Value' attribute feature.

#### ABSTRACT_TEXT__STYLE_REGIONS

    static final org.eclipse.emf.ecore.EReference ABSTRACT_TEXT__STYLE_REGIONS

The meta object literal for the 'Style Regions' containment reference list feature.

Since:
  0.10

#### ABSTRACT_TEXT__ROTATION

    static final org.eclipse.emf.ecore.EAttribute ABSTRACT_TEXT__ROTATION

The meta object literal for the 'Rotation' attribute feature.

Since:
  0.11

#### MULTI_TEXT

    static final org.eclipse.emf.ecore.EClass MULTI_TEXT

The meta object literal for the '`Multi Text`' class.

See Also:
  `MultiTextImpl`, `AlgorithmsPackageImpl.getMultiText()`